低危 JBIG2Stream.cc中的readGenericBitmap()导致拒绝服务

CVE编号

CVE-2019-9543

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-02
漏洞描述
在Poppler 0.74.0中发现了一个问题。位于JBIG2Stream.cc中的JBIG2Stream :: readGenericBitmap()中的递归函数调用可以通过将精心设计的pdf文件发送到(例如)pdfseparate二进制文件来触发。它允许攻击者导致拒绝服务(分段错误)或可能具有未指定的其他影响。这与JArithmeticDecoder :: decodeBit有关。<br>
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop poppler 0.74.0 -
运行在以下环境
系统 debian_10 poppler * Up to
(including)
0.71.0-5
运行在以下环境
系统 debian_11 poppler * Up to
(including)
20.09.0-3.1
运行在以下环境
系统 debian_12 poppler * Up to
(including)
22.02.0-3
运行在以下环境
系统 debian_9 poppler * Up to
(including)
0.48.0-2+deb9u2
运行在以下环境
系统 debian_sid poppler * Up to
(including)
22.02.0-3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-674 未经控制的递归
阿里云安全产品覆盖情况